// JavaScript Document
$('#search_button').click(function(){
	
	var q=$('#q').val();
	var l=$('#l').val();
	searchItems(q,l,1);
	
	
});
function featuredListing(){
	$.ajax({
        url: 'http://www.bharathlisting.com/mobile/?callback=successCallsFeatured',
		type:'get',
       	dataType: 'jsonp',      
        success: function(data, status){
			var records	=	data['records'];			
			$('#featured_results_con').css('display','block');
			$('#featured_results_con').html('');
			var html='';
			if(records>0){
				for(var i=0;i<records;i++){
					//alert(data[i]['UserPublic']['business_title']);
					html='<li>';			
					if(data[i]['UserPublic']['package_id']>1){
						if(data[i]['UserPublic']['business_logo']!=''){
							html+='<img src="http://www.bharathlisting.com/thumb/?img='+data[i]['UserPublic']['business_logo']+'&sizex=160&sizey=130&ref='+data[i]['UserPublic']['user_id']+'" class="package_'+data[i]['UserPublic']['package_id']+'" >';
						}
					}
					html+='<h2>'+data[i]['UserPublic']['business_title']+'</h2>';
					html+='<p>'+data[i]['UserPublic']['address1']+',';
					html+=''+data[i]['UserPublic']['address2']+'<br/>';
					html+=''+data[i]['UserPublic']['city']+'<br/>';
					html+=''+data[i]['UserPublic']['state']+'<br/>';
					html+='Pin: '+data[i]['UserPublic']['zipcode']+'<br/></p>';
					html+='<p>Phone: <strong> '+data[i]['UserPublic']['contact_phone']+'</strong></p>';
					html+='<p>Mobile: <strong> '+data[i]['UserPublic']['contact_mobile']+'</strong></p>';
					html+='<p>Email: <strong>  '+data[i]['UserPublic']['contact_email']+'</strong></p>';
					html+='</li>';
					$('#featured_results_con').append(html);				
				}
				
				if ( $('#featured_results_con').hasClass('ui-listview')) {
					$('#featured_results_con').listview('refresh');
				} 
				else {
					$('#featured_results_con').trigger('create');
				}
				
			}else{
				$('#featured_results_con').append('<li></li>');
				if ( $('#featured_results_con').hasClass('ui-listview')) {
					$('#featured_results_con').listview('refresh');
				} 
				else {
					$('#featured_results_con').trigger('create');
				}				
			}                       
        },
        error: function(jqXHR,status, exception){
            alert('Internet connection error : Please check your connectivity');
			$.mobile.loading( "hide" );
        }
    });
}
//Search Items//
function searchItems(q,l,page){
	$.mobile.loading( "show", {
            text: "--LOADING--",
            textVisible:true,
            theme: $.mobile.loader.prototype.options.theme,
            textonly: false,
            html: ''
    });
	$.ajax({
        url: 'http://www.bharathlisting.com/mobile/?callback=successCalls&q='+q+'&l='+l+'&pg='+page,
		type:'get',
       	dataType: 'jsonp',      
        success: function(data, status){
			var records	=	data['records'];
			var limit	=	data['limit'];
			var page	=	data['page'];
			var total	=	data['total'];
			var total_pages	=	data['total_pages'];
			var last	=	data['last'];
			var next	=	data['next'];
			var prev	=	data['prev'];
			var first	=	data['first'];
			$('#search_results_con').css('display','block');
			$('#search_results_con').html('');
			var html='';
			if(records>0){
				for(var i=0;i<records;i++){
					//alert(data[i]['UserPublic']['business_title']);
					html='<li>';			
					if(data[i]['UserPublic']['package_id']>1){
						if(data[i]['UserPublic']['business_logo']!=''){
							html+='<img src="http://www.bharathlisting.com/thumb/?img='+data[i]['UserPublic']['business_logo']+'&sizex=160&sizey=130&ref='+data[i]['UserPublic']['user_id']+'" class="package_'+data[i]['UserPublic']['package_id']+'" >';
						}
					}
					html+='<h2>'+data[i]['UserPublic']['business_title']+'</h2>';
					html+='<p>'+data[i]['UserPublic']['address1']+',';
					html+=''+data[i]['UserPublic']['address2']+'<br/>';
					html+=''+data[i]['UserPublic']['city']+'<br/>';
					html+=''+data[i]['UserPublic']['state']+'<br/>';
					html+='Pin: '+data[i]['UserPublic']['zipcode']+'<br/></p>';
					html+='<p>Phone: <strong> '+data[i]['UserPublic']['contact_phone']+'</strong></p>';
					html+='<p>Mobile: <strong> '+data[i]['UserPublic']['contact_mobile']+'</strong></p>';
					html+='<p>Email: <strong>  '+data[i]['UserPublic']['contact_email']+'</strong></p>';
					html+='</li>';
					$('#search_results_con').append(html);				
				}
				
				if ( $('#search_results_con').hasClass('ui-listview')) {
					$('#search_results_con').listview('refresh');
				} 
				else {
					$('#search_results_con').trigger('create');
				}
				html='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItems(\''+q+'\',\''+l+'\','+first+')">&laquo;&laquo;First </a>';
				html+='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItems(\''+q+'\',\''+l+'\','+prev+')">&laquo;Prev </a>';
				html+='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItems(\''+q+'\',\''+l+'\','+next+')">Next &raquo; </a>';
				html+='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItems(\''+q+'\',\''+l+'\','+last+')">Last &raquo;&raquo;</a>';
				$('#pages_div').html("");
				$('#pages_div').append(html);
				$('#pages_res_div').html('<p>Showing page '+page+' of '+total_pages+'</p>');
			}else{
				$('#search_results_con').append('<li>Sorry, no records found !</li>');
				if ( $('#search_results_con').hasClass('ui-listview')) {
					$('#search_results_con').listview('refresh');
				} 
				else {
					$('#search_results_con').trigger('create');
				}
				$('#pages_div').html("");				
				$('#pages_res_div').html('');
			}
			$.mobile.loading( "hide" );
			

                       
        },
        error: function(jqXHR,status, exception){
            alert('Internet connection error : Please check your connectivity');
			$.mobile.loading( "hide" );
        }
    });
}


function listCategories(){
	$.ajax({
        url: 'http://www.bharathlisting.com/mobile/category/',
		type:'get',
       	dataType: 'jsonp',      
        success: function(data, status){
			var records	=	data['records'];
			
			$('#category_display_list').css('display','block');
			$('#category_display_list').html('');
			var html='';
			if(records>0){
				for(var i=0;i<records;i++){
					//alert(data[i]['UserPublic']['business_title']);
					html='<li>';				
					html+='<a href="index.html?cid='+data[i]['Category']['category_id']+'#page_categories_results" rel="external">'+data[i]['Category']['category']+'</a>';					
					html+='</li>';
					$('#category_display_list').append(html);				
				}
				
				if ( $('#category_display_list').hasClass('ui-listview')) {
					$('#category_display_list').listview('refresh');
				} 
				else {
					$('#category_display_list').trigger('create');
				}
				
			}else{
				$('#category_display_list').append('<li>Sorry, no records found !</li>');
				if ( $('#category_display_list').hasClass('ui-listview')) {
					$('#category_display_list').listview('refresh');
				} 
				else {
					$('#category_display_list').trigger('create');
				}				
			}
			$.mobile.loading( "hide" );                      
        },
        error: function(jqXHR,status, exception){
            alert('Internet connection error : please check your connectivity');
			$.mobile.loading( "hide" );
        }
    });
}
//states listing
function listStates(){
	$.ajax({
        url: 'http://www.bharathlisting.com/mobile/states/',
		type:'get',
       	dataType: 'jsonp',      
        success: function(data, status){
			var records	=	data['records'];
			
			$('#states_display_list').css('display','block');
			$('#states_display_list').html('');
			var html='';
			if(records>0){
				for(var i=0;i<records;i++){
					//alert(data[i]['UserPublic']['business_title']);
					html='<li>';				
					html+='<a href="index.html?cid='+data[i]['State']['state_id']+'#page_states_results" rel="external">'+data[i]['State']['state']+'</a>';					
					html+='</li>';
					$('#states_display_list').append(html);				
				}
				
				if ( $('#states_display_list').hasClass('ui-listview')) {
					$('#states_display_list').listview('refresh');
				} 
				else {
					$('#states_display_list').trigger('create');
				}
				
			}else{
				$('#states_display_list').append('<li>Sorry, no records found !</li>');
				if ( $('#states_display_list').hasClass('ui-listview')) {
					$('#states_display_list').listview('refresh');
				} 
				else {
					$('#states_display_list').trigger('create');
				}				
			}
			$.mobile.loading( "hide" );                      
        },
        error: function(jqXHR,status, exception){
            alert('Internet connection error : please check your connectivity');
			$.mobile.loading( "hide" );
        }
    });
}


//search by category//
function searchItemsByCategory(catId,page){
	$.mobile.loading( "show", {
            text: "--LOADING--",
            textVisible:true,
            theme: $.mobile.loader.prototype.options.theme,
            textonly: false,
            html: ''
    });
	$.ajax({
        url: 'http://www.bharathlisting.com/mobile/?callback=successCalls&cat='+catId+'&pg='+page,
		type:'get',
       	dataType: 'jsonp',      
        success: function(data, status){
			var records	=	data['records'];
			var limit	=	data['limit'];
			var page	=	data['page'];
			var total	=	data['total'];
			var total_pages	=	data['total_pages'];
			var last	=	data['last'];
			var next	=	data['next'];
			var prev	=	data['prev'];
			var first	=	data['first'];
			$('#cat_search_results_con').css('display','block');
			$('#cat_search_results_con').html('');
			var html='';
			if(records>0){
				for(var i=0;i<records;i++){
					//alert(data[i]['UserPublic']['business_title']);
					html='<li>';			
					if(data[i]['UserPublic']['package_id']>1){
						if(data[i]['UserPublic']['business_logo']!=''){
							html+='<img src="http://www.bharathlisting.com/thumb/?img='+data[i]['UserPublic']['business_logo']+'&sizex=160&sizey=130&ref='+data[i]['UserPublic']['user_id']+'" class="package_'+data[i]['UserPublic']['package_id']+'" >';
						}
					}
					html+='<h2>'+data[i]['UserPublic']['business_title']+'</h2>';
					html+='<p>'+data[i]['UserPublic']['address1']+',';
					html+=''+data[i]['UserPublic']['address2']+'<br/>';
					html+=''+data[i]['UserPublic']['city']+'<br/>';
					html+=''+data[i]['UserPublic']['state']+'<br/>';
					html+='Pin : '+data[i]['UserPublic']['zipcode']+'<br/></p>';
					html+='<p>Phone: <strong> '+data[i]['UserPublic']['contact_phone']+'</strong></p>';
					html+='<p>Mobile: <strong> '+data[i]['UserPublic']['contact_mobile']+'</strong></p>';
					html+='<p>Email: <strong>  '+data[i]['UserPublic']['contact_email']+'</strong></p>';
					html+='</li>';
					$('#cat_search_results_con').append(html);				
				}
				
				if ( $('#cat_search_results_con').hasClass('ui-listview')) {
					$('#cat_search_results_con').listview('refresh');
				} 
				else {
					$('#cat_search_results_con').trigger('create');
				}
				html='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItemsByCategory(\''+catId+'\','+first+')">&laquo;&laquo;First </a>';
				html+='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItemsByCategory(\''+catId+'\','+prev+')">&laquo;Prev </a>';
				html+='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItemsByCategory(\''+catId+'\','+next+')">Next &raquo; </a>';
				html+='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItemsByCategory(\''+catId+'\','+last+')">Last &raquo;&raquo;</a>';
				$('#cat_pages_div').html("");
				$('#cat_pages_div').append(html);
				$('#cat_pages_res_div').html('<p>Showing page '+page+' of '+total_pages+'</p>');
			}else{
				$('#cat_search_results_con').append('<li>Sorry, no records found !</li>');
				if ( $('#cat_search_results_con').hasClass('ui-listview')) {
					$('#cat_search_results_con').listview('refresh');
				} 
				else {
					$('#cat_search_results_con').trigger('create');
				}
				$('#cat_pages_div').html("");				
				$('#cat_pages_res_div').html('');
			}
			$.mobile.loading( "hide" );
			

                       
        },
        error: function(jqXHR,status, exception){
            alert('Internet connection error : Please check your connectivity');
			$.mobile.loading( "hide" );
        }
    });
}

//search by state//
function searchItemsByState(catId,page){
	$.mobile.loading( "show", {
            text: "--LOADING--",
            textVisible:true,
            theme: $.mobile.loader.prototype.options.theme,
            textonly: false,
            html: ''
    });
	$.ajax({
        url: 'http://www.bharathlisting.com/mobile/?callback=successCalls&state='+catId+'&pg='+page,
		type:'get',
       	dataType: 'jsonp',      
        success: function(data, status){
			var records	=	data['records'];
			var limit	=	data['limit'];
			var page	=	data['page'];
			var total	=	data['total'];
			var total_pages	=	data['total_pages'];
			var last	=	data['last'];
			var next	=	data['next'];
			var prev	=	data['prev'];
			var first	=	data['first'];
			$('#state_search_results_con').css('display','block');
			$('#state_search_results_con').html('');
			var html='';
			if(records>0){
				for(var i=0;i<records;i++){
					//alert(data[i]['UserPublic']['business_title']);
					html='<li>';			
					if(data[i]['UserPublic']['package_id']>1){
						if(data[i]['UserPublic']['business_logo']!=''){
							html+='<img src="http://www.bharathlisting.com/thumb/?img='+data[i]['UserPublic']['business_logo']+'&sizex=160&sizey=130&ref='+data[i]['UserPublic']['user_id']+'" class="package_'+data[i]['UserPublic']['package_id']+'" >';
						}
					}
					html+='<h2>'+data[i]['UserPublic']['business_title']+'</h2>';
					html+='<p>'+data[i]['UserPublic']['address1']+',';
					html+=''+data[i]['UserPublic']['address2']+'<br/>';
					html+=''+data[i]['UserPublic']['city']+'<br/>';
					html+=''+data[i]['UserPublic']['state']+'<br/>';
					html+='Pin : '+data[i]['UserPublic']['zipcode']+'<br/></p>';
					html+='<p>Phone: <strong> '+data[i]['UserPublic']['contact_phone']+'</strong></p>';
					html+='<p>Mobile: <strong> '+data[i]['UserPublic']['contact_mobile']+'</strong></p>';
					html+='<p>Email: <strong>  '+data[i]['UserPublic']['contact_email']+'</strong></p>';
					html+='</li>';
					$('#state_search_results_con').append(html);				
				}
				
				if ( $('#state_search_results_con').hasClass('ui-listview')) {
					$('#state_search_results_con').listview('refresh');
				} 
				else {
					$('#state_search_results_con').trigger('create');
				}
				html='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItemsByState(\''+catId+'\','+first+')">&laquo;&laquo;First </a>';
				html+='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItemsByState(\''+catId+'\','+prev+')">&laquo;Prev </a>';
				html+='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItemsByState(\''+catId+'\','+next+')">Next &raquo; </a>';
				html+='<a href="#" class="ui-btn ui-btn-inline" onclick="searchItemsByState(\''+catId+'\','+last+')">Last &raquo;&raquo;</a>';
				$('#state_pages_div').html("");
				$('#state_pages_div').append(html);
				$('#state_pages_res_div').html('<p>Showing page '+page+' of '+total_pages+'</p>');
			}else{
				$('#state_search_results_con').append('<li>Sorry, no records found !</li>');
				if ( $('#state_search_results_con').hasClass('ui-listview')) {
					$('#state_search_results_con').listview('refresh');
				} 
				else {
					$('#state_search_results_con').trigger('create');
				}
				$('#state_pages_div').html("");				
				$('#state_pages_res_div').html('');
			}
			$.mobile.loading( "hide" );
			

                       
        },
        error: function(jqXHR,status, exception){
            alert('Internet connection error : Please check your connectivity');
			$.mobile.loading( "hide" );
        }
    });
}

function getParameterByName(name) {
    var match = RegExp('[?&]' + name + '=([^&]*)').exec(window.location.search);
    return match && decodeURIComponent(match[1].replace(/\+/g, ' '));
}

$( document ).on( "pageinit", "#page_home", function( event ,data) {
	
	featuredListing();
	
});
$( document ).on( "pageinit", "#page_categories_results", function( event ,data) {
	
	var cid=getParameterByName('cid');	
	searchItemsByCategory(cid,1);
	
});
$( document ).on( "pageinit", "#page_states_results", function( event ,data) {
	
	var cid=getParameterByName('cid');	
	searchItemsByState(cid,1);
	
});
$( document ).on( "pageinit", "#page_categories", function( event ) {
	listCategories();
});
$( document ).on( "pageinit", "#page_states", function( event ) {
	listStates();
});
